extern "C"
{
#include "mcurses.h"
#include "mstring.h"
#include "mhash.h"
}

int main()
{
    string_obj* str = string_new("abc");

    printf("%s\n", string_c_str(str));
    
    string_push_back(str, "def");
    printf("%s\n", string_c_str(str));
    
    string_push_back2(str, 'g');
    printf("%s\n", string_c_str(str));

    string_put(str, "ABC");
    printf("%s\n", string_c_str(str));

    string_insert(str, 0, "DDDDDDDDDDDDD");
    printf("%s\n", string_c_str(str));

    string_delete(str);

    return 0;
}
